var scrollUpdate = (function() {
  var timerId;
  return {
    // 背景色の変更
    update: function() {
      var b = myScroll.y / myScroll.maxScrollY;
      b = 100 - parseInt(b * 100);
      var backgroundColor = 'hsl(227,29%,'+b+'%)';
      document.body.style.background = backgroundColor;
    },

    // スクロール開始で色変更のループタイマーをスタート
    start: function() {
      timerId = setInterval(this.update, 0);
      console.log('timer start', timerId);
    },

    // スクロールの終了で色変更のループタイマーをストップ
    end: function() {
      clearInterval(timerId);
      this.update();
      console.log('timer end', timerId);
    }
  }
})();

// 画面サイズをwrapperに反映する
document.getElementById('wrapper').style.height = window.innerHeight + 'px';

// iScrollの初期化とイベントの設定
var myScroll = new iScroll('wrapper', {
  onScrollStart: function(e) {
    scrollUpdate.start();
  },
  onScrollEnd: function(e) {
    scrollUpdate.end();
  }
});
