var element = document.getElementById('test');

// 拡大縮小の初期値
var scale = 1;

// 回転の初期値
var rotation = 0;

// Hammer オブジェクトを作成
var hammerElement = Hammer(element)

// drag と pinch イベントを設定
.on('drag pinch', function(event) {
  var gesture = event.gesture;

  // イベントの伝播を止める（画面スクロールを防ぐ）
  gesture.preventDefault();

  // 複数の指でタッチしている場合は拡大縮小と回転の値をアップデート
  if (gesture.touches.length > 1) {
    scale = gesture.scale;
    rotation = gesture.rotation;
  }

  // タッチされている位置の中心座標を取得
  // 複数の指でタッチしている場合はその中央座標が取れる
  var center = gesture.center;

  // Webkit の Transform 属性を書き換える
  var transform = [

    // 指が置かれている中央座標に要素の中心が来るように移動
    'translate('+(center.pageX - 50)+'px,'+(center.pageY - 50)+'px)',

    // 拡大・縮小
    'scale('+scale+')',

    // 回転
    'rotate('+rotation+'deg)'

  ].join(' '); // スペース区切りで結合して webkitTransform の値とする

  // webkitTransformプロパティへ反映して描画
  element.style.webkitTransform = transform;
});
