function toGrayscale() {
    // img 要素を取得
    var img = document.getElementById("myImage");

    // canvas 要素を取得
    var canvas = document.getElementById("myCanvas");

    // canvas 要素の幅と高さを img 要素と合わせる
    var width = canvas.width = img.width;
    var height = canvas.height = img.height;

    // canvas 要素のコンテキストを取得
    var ctx = canvas.getContext("2d");

    // img 要素の画像を canvas 要素に書き出す
    ctx.drawImage(img, 0, 0);

    // canvas 要素に書き出した画像を画像データとして取得
    var imgData = ctx.getImageData(0, 0, width, height);
    var i, red, green, blue, gray;

    // 画像データをループに掛けてピクセルごとに処理をする
    for (i = 0; i < imgData.data.length; i += 4) {
        // 赤・緑・青 の色をそれぞれ取得
        red = imgData.data[i];
        green = imgData.data[i + 1];
        blue = imgData.data[i + 2];

        // 3色の平均値を出し、グレースケールの色を取得
        gray = parseInt((red + green + blue) / 3, 10);

        // 同じピクセルをグレースケールの色で上書き
        imgData.data[i] = gray;
        imgData.data[i + 1] = gray;
        imgData.data[i + 2] = gray;
    }

    // canvas 要素に画像データを書きだす
    ctx.putImageData(imgData, 0, 0);
}
