function toGrayscale() {

    // 1秒間のフレーム数を設定
    var framerate = 30;

    // 要素を取得
    var video = document.getElementById("myVideo");
    var canvas = document.getElementById("myCanvas");

    // 動画の幅・高さを取得し、canvas 要素に設定
    var width = canvas.width = video.width;
    var height = canvas.height = video.height;

    // コンテキストを取得
    var ctx = canvas.getContext("2d");

    // タイマーで毎フレーム書き換える
    setInterval(function () {

        // 処理は静止画のグレースケール化と同じ
        ctx.drawImage(video, 0, 0);
        var imgData = ctx.getImageData(0, 0, width, height);
        var i, red, green, blue, gray;
        for (i = 0; i < imgData.data.length; i += 4) {
            red = imgData.data[i];
            green = imgData.data[i + 1];
            blue = imgData.data[i + 2];
            gray = Math.floor((red + green + blue) / 3, 10);
            imgData.data[i] = gray;
            imgData.data[i + 1] = gray;
            imgData.data[i + 2] = gray;
        }
        ctx.putImageData(imgData, 0, 0);

    }, 1000/framerate);
}
