var textarea = document.getElementById('text');

// 最初にローカルストレージのデータをテキストエリアに書き出す
if (localStorage.textData) {
  textarea.value = localStorage.textData;
}

// テキストエリアの input イベントを設定し、
// テキストテキストに変更があったときにローカルストレージを書き換える
textarea.addEventListener('input', function() {
  var text = textarea.value;
  localStorage.textData = text;
}, false);

// windowに対し storage イベントを設定
// 変更後の値 newValue をテキストエリアに反映する
window.addEventListener('storage', function(e) {
  textarea.value = e.newValue;
}, false);
